Package de.willuhn.jameica.hbci.gui.action

# Class UmsatzDetailEdit

java.lang.Object
de.willuhn.jameica.hbci.gui.action.UmsatzDetailEdit

All Implemented Interfaces:
  `de.willuhn.jameica.gui.Action`

public class UmsatzDetailEdit extends Object implements de.willuhn.jameica.gui.Action
Action zum Bearbeiten eines Umsatzes.

## Constructor Summary

Constructors
Constructor
Description
`UmsatzDetailEdit()`

## Method Summary

Modifier and Type
Method
Description
`UmsatzDetailEdit`
`asReverse(Konto toBookTo)`
setzt ein flag, dass die Gegenbuchung des Kontext-Objects erstellt werden soll
`void`
`handleAction(Object context)`
Erwartet ein Objekt vom Typ `Umsatz` im Context.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UmsatzDetailEdit

public UmsatzDetailEdit()

## Method Details

### asReverse

public UmsatzDetailEdit asReverse(Konto toBookTo)
setzt ein flag, dass die Gegenbuchung des Kontext-Objects erstellt werden soll

Parameters:
  `toBookTo` - Offline-Konto, auf das die Gegenbuchung erstellt werden soll
Returns:
  das (modifizierte) Objekt selbst

### handleAction

public void handleAction(Object context) throws de.willuhn.util.ApplicationException
Erwartet ein Objekt vom Typ `Umsatz` im Context.

Specified by:
  `handleAction` in interface `de.willuhn.jameica.gui.Action`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `Action.handleAction(java.lang.Object)`